From 62c14984df63e276e4c8d417aef6f7725c591754 Mon Sep 17 00:00:00 2001
From: Xavier Lacot <xavier@lacot.org>
Date: Thu, 21 Jun 2012 14:43:45 +0200
Subject: [PATCH] fixes #13 - allow an id column with a value of 0.

---
 joli.js | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/joli.js b/joli.js
index c17e66f..a666000 100644
--- a/joli.js
+++ b/joli.js
@@ -722,14 +722,14 @@ var joliCreator = function() {
 
     joli.record.prototype = {
         destroy: function() {
-            if (!this.id) {
+            if (typeof this.id === 'undefined') {
                 throw ("Unsaved record cannot be destroyed");
             } else {
                 this._options.table.deleteRecords(this.id);
             }
         },
         fromArray: function(data) {
-            if (data.id) {
+            if (typeof data.id !== 'undefined') {
                 this._originalData = {
                     id: data.id
                 };
@@ -763,7 +763,7 @@ var joliCreator = function() {
                 return false;
             }
 
-            return !(this.id && joli.toQueryString(this._data) === joli.toQueryString(this._originalData));
+            return !((typeof this.id !== 'undefined') && joli.toQueryString(this._data) === joli.toQueryString(this._originalData));
         },
         save: function() {
             var data = {
